org.eclipse.emf.facet.custom.metamodel.v0_2_0.custom

## Interface Customization

All Superinterfaces:
  DocumentedElement, FacetSet

    public interface Customization
    extends FacetSet

A representation of the model object 'Customization'. The customization model element is the root of a customization model. A customization is applied to only one ePackage and contains EClassCustomizations.

The following features are supported:

- `Must Be Loaded By Default`

See Also:
  `CustomPackage.getCustomization()`
Generated:
Model:

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isMustBeLoadedByDefault()` Returns the value of the 'Must Be Loaded By Default' attribute.
`void` `setMustBeLoadedByDefault(boolean value)` Sets the value of the '`Must Be Loaded By Default`' attribute.

### Methods inherited from interface org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.FacetSet

`getCategories, getFacetSets`

### Methods inherited from interface org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.DocumentedElement

`getDocumentation, setDocumentation`

### Method Detail

#### isMustBeLoadedByDefault

    boolean isMustBeLoadedByDefault()

Returns the value of the 'Must Be Loaded By Default' attribute. The default value is `"false"`. When Customization::mustBeloadedByDefault is true, the customization will be automatically loaded in the customizable model browsers.

Returns:
  the value of the 'Must Be Loaded By Default' attribute.
See Also:
  `setMustBeLoadedByDefault(boolean)`, `CustomPackage.getCustomization_MustBeLoadedByDefault()`
Generated:
Model:
  default="false" required="true"

#### setMustBeLoadedByDefault

    void setMustBeLoadedByDefault(boolean value)

Sets the value of the '`Must Be Loaded By Default`' attribute.

Parameters:
  `value` - the new value of the 'Must Be Loaded By Default' attribute.
See Also:
  `isMustBeLoadedByDefault()`
Generated: